package main

import (
	"fmt"
	"time"
)

func main() {
	funcs := []func(){
		a, b, c, d, e, f,
	}
	for i := 0; i < 1000; i++ {
		fmt.Printf("------ %d -------\n", i)
		for idx, f := range funcs {
			fmt.Printf("===== %d =====\n", idx)
			f()
		}
		time.Sleep(time.Second)
	}
}
